# Claim STRK

Every Strike user accrues STRK for each block they are supplying to or borrowing from the protocol. Users may call the Comptroller's `claimStrike` method at any time to transfer STRK accrued to their address.

**Comptroller**

```
// Claim all the STRK accrued by holder in all markets
function claimStrike(address holder) public

// Claim all the STRK accrued by holder in specific markets
function claimStrike(address holder, SToken[] memory sTokens) public

// Claim all the STRK accrued by specific holders in specific markets for their supplies and/or borrows
function claimStrike(address[] memory holders, SToken[] memory sTokens, bool borrowers, bool suppliers) public
```

**Solidity**

```
Comptroller troll = Comptroller(0xABCD...);
troll.claimStrike(0x1234...);
```

**Web3 1.2.6**

```javascript
const comptroller = new web3.eth.Contract(comptrollerAbi, comptrollerAddress);
await comptroller.methods.claimStrike("0x1234...").send({ from: sender });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strike.org/comptroller/claim-strk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
